org.apache.cassandra.cql3.statements

## Class Restriction.Slice

- java.lang.Object
- - org.apache.cassandra.cql3.statements.Restriction.Slice

All Implemented Interfaces:
  Restriction

Enclosing interface:
  Restriction

    public static class Restriction.Slice
    extends java.lang.Object
    implements Restriction

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.Restriction

`Restriction.EQ, Restriction.IN, Restriction.Slice`

### Constructor Summary

Constructors
Constructor and Description
`Restriction.Slice(boolean onToken)`

### Method Summary

Methods
`java.nio.ByteBuffer` `bound(Bound b, java.util.List<java.nio.ByteBuffer> variables)`
`IndexOperator` `getIndexOperator(Bound b)`
`Relation.Type` `getRelation(Bound eocBound, Bound inclusiveBound)`
`boolean` `hasBound(Bound b)`
`boolean` `isEQ()`
`boolean` `isIN()`
`boolean` `isInclusive(Bound b)`
`boolean` `isOnToken()`
`boolean` `isPartOfTuple()`
`boolean` `isSlice()`
`void` `setBound(ColumnIdentifier name, Relation.Type type, Term t, ColumnIdentifier previousName)`
`java.lang.String` `toString()`
`java.util.List<java.nio.ByteBuffer>` `values(java.util.List<java.nio.ByteBuffer> variables)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Restriction.Slice

    public Restriction.Slice(boolean onToken)

### Method Detail

#### isSlice

    public boolean isSlice()

Specified by:
  `isSlice` in interface `Restriction`

#### isEQ

    public boolean isEQ()

Specified by:
  `isEQ` in interface `Restriction`

#### isIN

    public boolean isIN()

Specified by:
  `isIN` in interface `Restriction`

#### values

    public java.util.List<java.nio.ByteBuffer> values(java.util.List<java.nio.ByteBuffer> variables)
                                               throws InvalidRequestException

Specified by:
  `values` in interface `Restriction`
Throws:
  `InvalidRequestException`

#### isOnToken

    public boolean isOnToken()

Specified by:
  `isOnToken` in interface `Restriction`

#### hasBound

    public boolean hasBound(Bound b)

#### bound

    public java.nio.ByteBuffer bound(Bound b,
                            java.util.List<java.nio.ByteBuffer> variables)
                              throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### isInclusive

    public boolean isInclusive(Bound b)

#### getRelation

    public Relation.Type getRelation(Bound eocBound,
                            Bound inclusiveBound)

#### getIndexOperator

    public IndexOperator getIndexOperator(Bound b)

#### setBound

    public void setBound(ColumnIdentifier name,
                Relation.Type type,
                Term t,
                ColumnIdentifier previousName)
                  throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### isPartOfTuple

    public boolean isPartOfTuple()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`